Bug 1574239 - cryptsetup-reencrypt manpage typos
Summary: cryptsetup-reencrypt manpage typos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cryptsetup
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Ondrej Kozina
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 21:21 UTC by Corey Marthaler
Modified: 2018-10-30 11:30 UTC (History)
7 users (show)

Fixed In Version: cryptsetup-2.0.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:29:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3239 0 None None None 2018-10-30 11:30:54 UTC

Description Corey Marthaler 2018-05-02 21:21:10 UTC
Description of problem:

1.
s/you can lose you/you can lose your/
       WARNING: The cryptsetup-reencrypt program is not resistant to  hardware
       or  kernel  failures during reencryption (you can lose you data in this
       case).

2.
s/by/be
       Current  working directory must by writable and temporary files created
       during reencryption must be present.


3.
s/there only/there is only/
              WARNING:  --key-file  option  can be used only if there only one



Version-Release number of selected component (if applicable):
cryptsetup-reencrypt-1.7.4-4.el7.x86_64

Comment 2 Ondrej Kozina 2018-05-03 12:42:17 UTC
Thanks Corey!

The first was already fixed in upstream. I've added remaining two.

commit: https://gitlab.com/cryptsetup/cryptsetup/commit/14f81cb275dc3b398a158ececac3683e2a6a0959

Comment 4 Alexander Todorov 2018-07-11 08:41:01 UTC
All 3 fixed in cryptsetup-reencrypt-2.0.3-1.el7.x86_64

Comment 7 errata-xmlrpc 2018-10-30 11:29:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3239


Note You need to log in before you can comment on or make changes to this bug.